Build-a-Box & Bundles
Get public Build-a-Box bundle details by handle (v3)
GET
/
subscriptions
/
cp
/
api
/
v3
/
subscription-bundlings
/
external
/
get-bundle
/
{handle}
Get public Build-a-Box bundle details by handle (v3)
curl --request GET \
--url https://www.myshop.com/apps/subscriptions/cp/api/v3/subscription-bundlings/external/get-bundle/{handle}{
"bundle": {
"shop": "<string>",
"id": 123,
"subscriptionBundlingEnabled": true,
"subscriptionId": 123,
"minProductCount": 123,
"maxProductCount": 123,
"discount": 123,
"uniqueRef": "<string>",
"customRedirectURL": "<string>",
"minOrderAmount": 123,
"tieredDiscount": "<string>",
"singleProductSettings": "<string>",
"subscriptionGroup": "<string>",
"bundleTopHtml": "<string>",
"bundleBottomHtml": "<string>",
"proceedToCheckoutButtonText": "<string>",
"chooseProductsText": "<string>",
"name": "<string>",
"trackInventory": true,
"allowOneTimePurchase": true,
"thirdPartyRule": true,
"variants": "<string>",
"discountedVariants": "<string>",
"sections": "<string>",
"collectionData": "<string>",
"sellingPlanIds": "<string>",
"minUniqueProductCheck": true
},
"subscriptionPlanProductInfoMap": {},
"subscriptionPlanVariantMap": {},
"subscriptionGroupPlans": [
{
"shop": "<string>",
"id": 123,
"groupName": "<string>",
"subscriptionId": 123,
"productCount": 123,
"productVariantCount": 123,
"infoJson": "<string>",
"productIds": "<string>",
"variantIds": "<string>",
"variantProductIds": "<string>",
"translations": "<string>"
}
],
"subscription": {
"shop": "<string>",
"id": 123,
"groupName": "<string>",
"subscriptionId": 123,
"productCount": 123,
"productVariantCount": 123,
"infoJson": "<string>",
"productIds": "<string>",
"variantIds": "<string>",
"variantProductIds": "<string>",
"translations": "<string>"
},
"products": [
{
"shop": "<string>",
"id": 123,
"productId": 123,
"productTitle": "<string>",
"productHandle": "<string>"
}
],
"variants": [
"<string>"
]
}Documentation Index
Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Customer Handle
Response
200 - */*
OK
⌘I
Get public Build-a-Box bundle details by handle (v3)
curl --request GET \
--url https://www.myshop.com/apps/subscriptions/cp/api/v3/subscription-bundlings/external/get-bundle/{handle}{
"bundle": {
"shop": "<string>",
"id": 123,
"subscriptionBundlingEnabled": true,
"subscriptionId": 123,
"minProductCount": 123,
"maxProductCount": 123,
"discount": 123,
"uniqueRef": "<string>",
"customRedirectURL": "<string>",
"minOrderAmount": 123,
"tieredDiscount": "<string>",
"singleProductSettings": "<string>",
"subscriptionGroup": "<string>",
"bundleTopHtml": "<string>",
"bundleBottomHtml": "<string>",
"proceedToCheckoutButtonText": "<string>",
"chooseProductsText": "<string>",
"name": "<string>",
"trackInventory": true,
"allowOneTimePurchase": true,
"thirdPartyRule": true,
"variants": "<string>",
"discountedVariants": "<string>",
"sections": "<string>",
"collectionData": "<string>",
"sellingPlanIds": "<string>",
"minUniqueProductCheck": true
},
"subscriptionPlanProductInfoMap": {},
"subscriptionPlanVariantMap": {},
"subscriptionGroupPlans": [
{
"shop": "<string>",
"id": 123,
"groupName": "<string>",
"subscriptionId": 123,
"productCount": 123,
"productVariantCount": 123,
"infoJson": "<string>",
"productIds": "<string>",
"variantIds": "<string>",
"variantProductIds": "<string>",
"translations": "<string>"
}
],
"subscription": {
"shop": "<string>",
"id": 123,
"groupName": "<string>",
"subscriptionId": 123,
"productCount": 123,
"productVariantCount": 123,
"infoJson": "<string>",
"productIds": "<string>",
"variantIds": "<string>",
"variantProductIds": "<string>",
"translations": "<string>"
},
"products": [
{
"shop": "<string>",
"id": 123,
"productId": 123,
"productTitle": "<string>",
"productHandle": "<string>"
}
],
"variants": [
"<string>"
]
}